Workout With Friends Stay fit with a little motivation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Properties
Public Member Functions | Public Attributes | Static Private Attributes | List of all members
wowf.models.workout.SquatWorkout Class Reference
Inheritance diagram for wowf.models.workout.SquatWorkout:
Collaboration diagram for wowf.models.workout.SquatWorkout:

## Public Member Functions
def | __init__
Public Member Functions inherited from wowf.models.workout.WeightWorkout
def | create
Public Member Functions inherited from wowf.models.workout._Workout
def | id

## Public Attributes
| user
| challenge
| repetitions
| points

## Static Private Attributes
string | __tablename__ = 'squat_workouts'
dictionary | __mapper_args__ = {'polymorphic_identity': ChallengeType.lookup_data.index('squat') + 1}

## Additional Inherited Members
Static Public Attributes inherited from wowf.models.workout.WeightWorkout
tuple | repetitions = Column(SmallInteger(unsigned=True), nullable=False)
Static Public Attributes inherited from wowf.models.workout.Workout
tuple | id = Column(Integer(unsigned=True), primary_key=True)
tuple | user_id = Column(Integer(unsigned=True), ForeignKey('users.id'), nullable=False)
tuple | challenge_id = Column(Integer(unsigned=True), ForeignKey('challenges.id'), nullable=False)
tuple | challenge_type_id
tuple | points = Column(SmallInteger(unsigned=True), nullable=False)
tuple | created_at = Column(DateTime, nullable=False, default=current_timestamp)
tuple | user
tuple | challenge

## Detailed Description

Definition at line 173 of file workout.py.

## Constructor & Destructor Documentation

def wowf.models.workout.SquatWorkout.__init__ | ( |  | self,
|  |  | user,
|  |  | challenge,
|  |  | repetitions
| ) |  |

Definition at line 178 of file workout.py.

## Member Data Documentation

dictionary wowf.models.workout.SquatWorkout.__mapper_args__ = {'polymorphic_identity': ChallengeType.lookup_data.index('squat') + 1}
| static private

Definition at line 176 of file workout.py.

string wowf.models.workout.SquatWorkout.__tablename__ = 'squat_workouts'
| static private

Definition at line 175 of file workout.py.

wowf.models.workout.SquatWorkout.challenge

Definition at line 180 of file workout.py.

wowf.models.workout.SquatWorkout.points

Definition at line 182 of file workout.py.

wowf.models.workout.SquatWorkout.repetitions

Definition at line 181 of file workout.py.

wowf.models.workout.SquatWorkout.user

Definition at line 179 of file workout.py.

The documentation for this class was generated from the following file:

- wowf/models/workout.py